/*

Manages player's behaviour through stress level.
Shots fired near player increases stress level which is decreased by time.

*/
// By Scifer

stress = 0.66; // Use only 0.01 multiples up to 1.
_day	= if ((dayTime > 4.75) && (dayTime < 19)) then {true} else {false};

player addEventHandler ["firedNear", {if (stress < 1) then {stress = stress + 0.10}}];
player addEventHandler ["hit", {stress = 1}];

// Enemy detection
_detect=createTrigger["EmptyDetector",getPos player];
_detect setTriggerArea[50000,50000,0,false];
_detect setTriggerActivation["EAST","WEST D",true];
_detect setTriggerStatements["this", "if (stress < 0.66) then {stress = 0.66; hint 'Enemy spotted!';}",""]; 

while {alive player} do
{

	switch true do
	{
		case (stress >= 0.67)	: {player setBehaviour "COMBAT"};
		case (stress >= 0.33)	: {if(_day)then{player setBehaviour "AWARE"}else{player setBehaviour "STEALTH"}};
		case (stress < 0.33)	: {player setBehaviour "SAFE"};
	};

	sleep 3;
	if (stress > 0) then {stress = stress -0.01};
//	hintSilent format["Stress: %1 (%2)", stress, behaviour player];
};